freefilesync (14.8-100+stackrpms) obs; urgency=low

  * Upstream updates

    * Automatically detect proxy settings for Google Drive (Windows)
    * Fixed file filter considering parent folder as match candidate
    * Fixed bitmap button being trimmed (Linux)
    * Fixed window flash when starting silent batch job (Windows, macOS)
    * Try to set modification time on open file handle (Linux, macOS)
    * Mitigate invalid main window size and position on startup
    * Improved spin control arrow key handling (macOs)
    * Run (S)FTP and HTTP session cleanup threads on demand
    * Fixed mouse highlight when showing file grid context menu
    * Avoid percentage format precision flicker when copying large file

 -- B. Stack <bgstack15@gmail.com>  Mon, 23 Feb 2026 10:26:53 -0500

freefilesync (14.7-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Shorter lock file abandonment timeout
    * Highlight to be created items on file grid
    * Fixed file grid selection background
    * Support running on Windows 10 PE (Portable Edition)
    * Show host name in device listing (Donation Edition)
    * Fixed dump file creation when worker threads crash (Windows)
    * Fixed whitespace glitches in PDF manual
    * Consider Windows Subsystem for Linux as VM

 -- B. Stack <bgstack15@gmail.com>  Wed, 21 Jan 2026 20:17:44 -0500

freefilesync (14.6-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Write sync statistics to stdout as JSON for .ffs_batch
    * Removed precompiled 32-bit bundle (Linux)
    * Avoid redundant window centering before finishing layout
    * GTK3-based build (Linux)
    * Dark mode support with GTK3 (Linux)
    * Stream errors to stderr instead of stdout (Linux)
    * Installer supports dark mode (Windows)
    * Added "New Window" dock menu item (macOS)

 -- B. Stack <bgstack15@gmail.com>  Wed, 03 Dec 2025 08:52:54 -0500

freefilesync (14.5-100+stackrpms) obs; urgency=low

  * Upstream updates

    * Quotation not needed anymore for external application macros
    * Unambiguous license key file extension
    * Fixed crash when resizing config panel during comparison
    * Fixed log file viewing when config name contains special characters
    * Dedicated installer for x86_64-only operating system (Linux)

 -- B. Stack <bgstack15@gmail.com>  Mon, 06 Oct 2025 11:28:18 -0400

freefilesync (14.4-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Fixed FTP login error "dh key too small"
    * Updated all 3rd party libraries to latest versions
  * Package updates
    * Use g++-14 to meed wx3.2 requirements

 -- B. Stack <bgstack15@gmail.com>  Sun, 27 Jul 2025 19:52:07 -0400

freefilesync (14.3-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Support internationalized domain names (IDN) for (S)FTP and email
    * Log performance statistics for file content comparison
    * Support installation using Ptyxis terminal (Linux)
    * Support pausing countdown towards system shutdown
    * Support KDE Plasma 6 service menu (Linux)
    * Fixed crash on app exit when called by Cron (Linux)

 -- B. Stack <bgstack15@gmail.com>  Thu, 27 Mar 2025 19:49:37 -0400

freefilesync (14.2-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Fixed crash when closing progress dialog after sync (Windows)
  * Package updates
    * Add no-wx3.3.patch which disables some features like dark mode.

 -- B. Stack <bgstack15@gmail.com>  Thu, 20 Feb 2025 17:32:25 -0500

freefilesync (14.1-100+stackrpms) UNRELEASED; urgency=low

  * Upstream updates
    * Further dark mode improvements
    * Fixed blurry icons due to image resizing glitch
    * Fixed RealTimeSync process not exiting while in taskbar (Linux)
    * Improved file icon loading performance
    * Improved extension handling for multi-file renaming
    * Mitigate icon size rendering bug for notification emails
    * Close popup dialogs using Ctrl+Enter while ignoring keyboard focus
    * Resume from system tray via single mouse click
    * Avoid white flash when resuming progress dialog from system tray
      (Windows)
    * Increased progress indicator UI update frequency

 -- B. Stack <bgstack15@gmail.com>  Thu, 20 Feb 2025 15:11:32 -0500

freefilesync (14.0-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Dark mode support (Windows 10 20H1, macOS 10.14 (Mojave), Linux)
    * Fixed dock icon progress percentage divergence (macOS)
    * Prevent "App Napp during comparison/synchronization (macOS)
    * Enhance EINVAL error message for unsupported characters
    * Support running with background priority (Linux)
    * Fixed installer access denied when creating shell links (Windows)
    * Improved size and date formatting for file listing (macOS)
    * Improved context menu customization grid
    * Reduced peak memory consumption by 12%
    * Automatically set appropriate text color for config panel background
    * Revived and updated Italian translation

 -- B. Stack <bgstack15@gmail.com>  Mon, 20 Jan 2024 17:41:23 -0500

freefilesync (13.9-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Fixed CURLE_SEND_ERROR: OpenSSL SSL_write: SSL_ERROR_SYSCALL, errno 0
    * Added comparison and sync context menu options for multiple folder
      pairs
    * Show file include/exclude filter directly in tooltip
    * Fixed file not found error when cancelling file up-/download
    * Fixed showing cancelled config log status after nothing to sync
    * Updated translation files

 -- B. Stack <bgstack15@gmail.com>  Sun, 08 Dec 2024 08:09:07 -0500

freefilesync (13.8-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Support raw IPv6 server address for (S)FTP
    * RealTimeSync: Fixed scrollbar when adding/removing folders
    * Don't set sync direction for partial folder pairs
    * Uniquely identify partial folder pairs in error message
    * Fixed network login prompt not showing in Windows 11 24H2

 -- B. Stack <bgstack15@gmail.com>  Mon, 04 Nov 2024 19:28:43 -0500

freefilesync (13.7-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Support copying symlinks between SFTP devices
    * Fixed input focus not being restored after comparison/sync
    * Fixed log file pruning not considering selected configuration
    * Show startup error details when running outside terminal (Linux)

 -- B. Stack <bgstack15@gmail.com>  Sun, 23 Jun 2024 17:52:53 -0400

freefilesync (13.6-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Compact parent path display for medium/large row sizes
    * Fixed crash when mouse inputs are queued due to system lag
    * Don't steal focus from other app when sync progress dialog is shown
    * Fix crackling sound at the beginning of WAV playback (Linux)
    * Prevent middle grid tooltip from covering sync direction
    * Disable Nagle algorithm for SFTP connections
  * Package
    * Use 13.4-patched file_grid for traditional view

 -- B. Stack <bgstack15@gmail.com>  Fri, 10 May 2024 11:23:26 -0400

freefilesync (13.5-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Wrap file grid folder paths instead of truncate
    * Fixed sync operation arrows for RTL layout
    * Fixed FTP hang during connection (libcurl regression)
    * Consider user-defined file time tolerance for DB comparisons
    * Don't log folder pair paths if nothing to sync

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Apr 2024 09:25:10 -0400

freefilesync (13.4-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Ignore leading/trailing space when matching file names
    * Work around wxWidgets system logger clearing error code
    * Fixed registration info not found after App Translocation (macOS)
    * Avoid modal dialog hang on KDE when compiling with GTK3
    * Change app location without losing Donation Edition status (macOS)

 -- B. Stack <bgstack15@gmail.com>  Fri, 16 Feb 2024 21:07:55 -0500

freefilesync (13.3-101+stackrpms) obs; urgency=low

  * Add dependencies on libselinux1-dev, zlib1g-dev
  * Update some patches from bastif

 -- B. Stack <bgstack15@gmail.com>  Fri, 09 Feb 2024 20:09:21 -0500

freefilesync (13.3-100+stackrpms) obs; urgency=low

    * Upstream updates
      * Completed CASA security assessment for Google Drive
      * Use system temp folder for auto-updating
      * Ignore errors when setting directory attributes is unsupported
      * Save GUI sync log file even when cancelled
      * Fixed Business Edition install over existing installation
      * Updated code signing certificates (Windows)

 -- B. Stack <bgstack15@gmail.com>  Sun, 07 Jan 2024 19:39:08 -0500

freefilesync (13.2-100+stackrpms) obs; urgency=low

    * Upstream updates
      * Complete high-DPI/Retina display support (macOS)
      * Prevent files from being moved to versioning recursively
      * Fixed tooltip line wrap bug for moved files (Windows)
      * Return first FTP parsing error when trying multiple variants
      * Allow file times from the future for Linux-style FTP listing
      * Fixed setting modification times on certain storage devices (Windows)
      * Fixed bogus "Sound playback failed" error message (macOS)
      * Fixed rename dialog text selection wobble (macOS)

 -- B. Stack <bgstack15@gmail.com>  Mon, 27 Nov 2023 11:14:47 -0500

freefilesync (13.1-100+stackrpms) obs; urgency=low

    * Keep comparison results when only changing cloud connection settings
    * Sync button: indicate if database will be used
    * Remove leading/trailing space during manual file rename
    * Set environment variable "DISPLAY=:0" if missing (Linux)
    * Support dropping ffs_gui/ffs_real config on RealTimeSync directory
      input field

 -- B. Stack <bgstack15@gmail.com>  Sat, 28 Oct 2023 08:10:46 -0400

freefilesync (13.0-100+stackrpms) obs; urgency=low

    * Rename (multiple) files manually (F2 key)
    * Configure individual directions for DB-based sync
    * Detect moved files with "Update" sync variant (requires sync.ffs_db
      files)
    * Update variant: Do not restore files that were deleted on target
    * Distinguish file renames from file moves and simplify grid display
    * Fixed ERROR_NOT_SUPPORTED when copying files with NTFS extended
      attributes
    * Fixed error during process initialization while connecting with quick
      launch
    * Avoid redundant file reopen when setting file times during copy
    * Set working directory to match FFS configuration file when
      double-clicking (Linux)

 -- B. Stack <bgstack15@gmail.com>  Wed, 13 Sep 2023 19:39:50 -0400

freefilesync (12.5-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Merge logs of individual steps (comparison, manual operation, sync)
    * Show total percentage in progress dialog header
    * Log and report errors during cleanup or exception handling
    * Skip folder traversal if existence check fails for other side of the
      pair
    * Automatically adapt batch options to prevent hanging a
      non-interactive process (Windows)
    * Support path lists for external applications: %item_paths%,
      %local_paths%, %item_names%, %parent_paths%
    * Create directory lock files with hidden attribute
    * Don't clear other side when right-clicking file selection
    * Fixed passive FTP when using different IP than control connection
    * Work around FTP servers silently renaming unsupported characters of
      temporary file

 -- B. Stack <bgstack15@gmail.com>  Mon, 24 Jul 2023 15:12:39 -0400

freefilesync (12.4-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Show dynamic error and warning count in progress dialogs
    * Show process elevation status in title bar (Administrator, root)
    * Fixed libcurl bug CURLE_URL_MALFORMAT for numerical host name
    * Don't discard config panel last log after no changes found
    * Set taskbar relaunch command to launcher executable (Windows)
    * Fixed Btrfs compression not being applied during copy (Linux)
    * Run on file systems with buggy GetFinalPathNameByHandle()
      implementation, e.g. Dokany-based
    * Save selected view mode (F11) in batch config file

 -- B. Stack <bgstack15@gmail.com>  Tue, 20 Jun 2023 07:49:00 -0400

freefilesync (12.3-100+stackrpms) obs; urgency=low

    * Add custom notes to sync configurations
    * Highlight comparison and sync buttons
    * Show sync stats in config panel tool tip
    * Update config panel sync info even if cancelled
    * Support FTP listing format missing owner/group
    * Fixed "Class not registered" error during installation
    * Propagate process priority of launcher executable
    * Fixed config panel metadata being reset after renaming
    * Fixed config panel keyboard cursor after deletion/rename
    * Improved small icon resolution for high-DPI monitors

 -- B. Stack <bgstack15@gmail.com>  Fri, 19 May 2023 09:27:18 -0400

freefilesync (12.2-101+stackrpms) obs; urgency=low

  * Add Fab Stz patch for GTK3 dialogs
  * Fix git history

 -- B. Stack <bgstack15@gmail.com>  Mon, 15 May 2023 18:12:59 -0400

freefilesync (12.2-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Fixed temporary access error when creating multiple folders in
      parallel
    * Log failure to copy folder attributes as warning only
    * Enable UTF-8, even if FTP server does not advertize in FEAT (vsftpd)
    * Fixed drag and drop for non-ASCII folders (macOS)
    * Explicitly detect MTP path without existence check
    * Fixed crash when parsing SFTP package from stream
    * Revert back to GTK2 build due to GTK3 hangs on KDE (Linux)
    * Fixed missing COM initialization for MTP path parsing

 -- B. Stack <bgstack15@gmail.com>  Mon, 03 Apr 2023 10:00:22 -0400

freefilesync (12.1-100+stackrpms) obs; urgency=low

  * Upstream updates
    * First official build based on GTK3 (Linux)
    * Allow cancel during folder path normalization (e.g. delay during HDD
      spin up)
    * Fixed slow FTP comparison performance due to libcurl regression
    * Open terminal with log messages on startup error (Linux)
    * Preserve changed config during auto-update
    * Save config during unexpected reboot (Linux)
    * Preserve config upon SIGTERM (Linux, macOS)
    * Fixed progress dialog z-order after switching windows (macOS)
    * Removed packet size limit for SFTP directory reading
    * Mouse hover effects for config and overview grid
    * Always update existing shortcuts during installation (Windows, Linux)
    * Fixed another "Some files will be synchronized as part of multiple
      base folders" false-negative

 -- B. Stack <bgstack15@gmail.com>  Tue, 21 Feb 2023 12:22:27 -0500

freefilesync (12.0-100+stackrpms) obs; urgency=low

  * Upstream updates
    * Don't save password and show prompt instead for (S)FTP
    * Fast path check failure on access errors
    * Support PuTTY private key file version 3
    * Respect timeout during SFTP connect
    * Removed 20-sec timeout while checking directory existence
    * Avoid hitting (S)FTP connection limit for non-uniform configs
    * Fixed middle grid tooltip icon not always showing (Linux)
    * Optimized file accesses when checking file path existence
    * Fixed overview navigation marker not always showing on main grid
    * Clear all grid selections after view filter toggle
    * Fixed mouse selection starting on folder group
    * Don't require sudo during non-root installation (Linux)
    * Stricter type checking when deleting file/folder/symlinks
    * Succinct error messages when path component is not existing

 -- B. Stack <bgstack15@gmail.com>  Sun, 22 Jan 2023 14:00:49 -0500

freefilesync (11.29-100+devuan) obs; urgency=low

  * Upstream updates
    * Fixed crash after 1-byte file copy from MTP device
    * Fixed incorrect installer z-order during auto-update (macOS)
    * Compress copied file only if target folder is marked as
      NTFS-compressed (Windows)
    * Show install errors without requiring access to "System Events"
      (macOS)
    * Fall back to creation time if modification time is missing on MTP
      device
    * Copy/paste filter config via operating system clipboard
    * Show FreeFileSync startup error message when called from RealTimeSync
    * Avoid server round trip when preparing summary email
    * Show path conflict warning aggregated into groups
    * Don't assume path conflict if single write and multiple ignored items
    * Fixed CTRL + Insert clipboard copy for some text controls (Windows,
      Linux)
  * Dpkg updates
    * Add ffs_tooltips_no_taskbar patch

 -- B. Stack <bgstack15@gmail.com>  Fri, 16 Dec 2022 21:12:02 -0500

freefilesync (11.28-1+devuan) obs; urgency=low

  * Upstream updates
    * Recover from corrupted database file
    * Save database files pair-wise as a transaction
    * Fixed FTP access for Xiaomi "File Manager"
    * Fixed filter full path detection for root directory (Linux/macOS)
    * Fixed recycle bin double initialization bug (Windows)
    * Fixed incorrect case-insensitive string comparison for i and ı
    * Round progress percentage numbers down

 -- B. Stack <bgstack15@gmail.com>  Tue, 22 Nov 2022 09:22:22

freefilesync (11.27-1+devuan) obs; urgency=low

  * Upstream updates
    * Fixed "Some files will be synchronized as part of multiple base
      folders" false-negative
    * Fixed "Unexpected size of data stream" for Google Drive
    * Fixed crash when downloading empty file from Google Drive
    * RealTimeSync: fixed ffs_batch not accepted as valid configuration
    * Fixed top buttons vertical GUI layout
    * Fixed progress dialog font on Ubuntu MATE
    * Support cut/copy/paste for filter settings
    * Fixed free disk space calculation if target folder not yet created

 -- B. Stack <bgstack15@gmail.com>  Wed, 19 Oct 2022 10:56:17 -0400

freefilesync (11.26-1+devuan) obs; urgency=low

  * Upstream updates
    * Faster file copy for SSD-based hard drives (Linux, macOS)
    * Don't fill the OS file cache during file copy (macOS)
    * Removed redundant memory buffering during file copy
    * Fixed ERROR_FILE_EXISTS on Samba share when copying files with NTFS
      extended attributes
    * Show warning when recycle bin is not available (macOS, Linux)
    * Customize config item background colors
    * Fixed macOS menu bar not showing after app start
    * Fixed normalizing strings with broken UTF encoding
    * Fixed sound playback not working (Linux)
    * Don't allow creating file names ending with dot character (Windows)
  * Dpkg updates
    * Use wx3.2 now! This has been a huge pain point for a long time.

 -- B. Stack <bgstack15@gmail.com>  Tue, 11 Oct 2022 11:06:58 -0400

freefilesync (11.25-1+devuan) obs; urgency=medium

  * Upstream updates
    * Fixed crash when normalizing Unicode non-characters
    * Fixed crash when accesssing Google Drive
    * Fixed regession for decomposed Unicode comparison
    * Fixed "exit code 106: --sign is required" error on macOS
    * Reset icon cache after each comparison
  * Dpkg updates
    * Upstream uses a few minor improvements from our patches!

 -- B. Stack <bgstack15@gmail.com>  Wed, 07 Sep 2022 17:00:02 -0400

freefilesync (11.24-1+devuan) UNRELEASED; urgency=medium

  * Upstream updates
    * Enhanced filter syntax to match files only (append ':')
    * Fixed "Some files will be synchronized as part of multiple base
      folders": no more false-positives
    * Detect full path filter items and convert to relative path
    * Auto-detect FTP server character encoding (UTF8 or ANSI)
    * Cancel grid selection via Escape key or second mouse button
    * Apply conflict preview limit accross all folder pairs
    * Require config type and file extension to match
    * Fixed view filter panel vertical layout
    * Strict validation of UTF encoding

 -- B. Stack <bgstack15@gmail.com>  Wed, 07 Sep 2022 16:59:55 -400

freefilesync (11.23-1+devuan) obs; urgency=medium

  * Upstream updates
    * Format local file times with no limits on time span
    * Deferred child item failure when traversing MTP folder
    * Fixed occasional wrong thumbnail orientation for MTP
    * Support additional image formats for MTP preview (e.g. CR2)
    * Fixed folder pair window being squashed after text size increase
    * Fixed wrong folder pair order when loading config (Linux)
    * Fixed some images being stretched on high-DPI monitors
    * Fixed config panel tab text being mirrored in RTL layout
    * Fixed parsing file times one second before Unix epoch (Gdrive, FTP)
  * Dpkg updates
    * Disable libcurl. libssl patches because Devuan is up to date!

 -- B. Stack <bgstack15@gmail.com>  Wed, 03 Aug 2022 08:54:35 -0400

freefilesync (11.22-1+devuan) obs; urgency=medium

  * Upstream updates
    * Allow to change default log folder in global settings
    * Fixed sort order when items existing on one side only
    * Consider HOME environment variable for home path (Linux)
    * Fixed config selection using shift and arrow keys
    * Start comparison, then sync by only pressing Enter after startup
    * Fall back to default path when failing to save log file
    * Improved relative config path handling in portable mode
  * Dpkg updates
    * Fix sloppiness regarding missing Animal.dat
    * Suppress showing About dialog after upgrade

 -- B. Stack <bgstack15@gmail.com>  Sun, 26 Jun 2022 16:21:42 -0400

freefilesync (11.21-1+devuan) obs; urgency=medium

  * Upstream updates
    * Support volume GUID as path:
      \\?\Volume{01234567-89ab-cdef-0123-456789abcdef} (Windows)
    * Avoid Two-Way conflict when changing folder name upper/lower-case
    * List hidden warning messages in options dialog
    * Fixed buffer overflow while receiving SFTP server banner
    * Create crash dumps even if FFS-internal crash handling doesn't kick in
    * Log time when error occured, not when it is reported
    * Swap sides: Require confirmation only after comparison
    * Updated translation files
  * Dpkg updates
    * Remove icon loader patch (addressed by upstream)

 -- B. Stack <bgstack15@gmail.com>  Sun, 22 May 2022 20:35:38 -0400

freefilesync (11.20-1+devuan) obs; urgency=medium

  * Upstream updates
    * Fixed broken icon scaling on high-DPI displays
    * Improved performance for huge exclusion filter lists: linear to
      constant(!) time
    * Support sync with Google Drive starred folders
    * Access "My Computers" (as created by Google Backup and Sync) if
      starred
    * Western Digital Mycloud NAS: fixed ERROR_ALREADY_EXISTS when changing
      case
    * Added per-file progress for "copy to" function
    * Have filter wildcard ? not match path separator
    * Work around WBEM_E_INVALID_NAMESPACE error during installation
    * Fixed login user incorrectly displayed as root (macOS)
    * Save Google Drive buffer before system shutdown
  * Dpkg updates
    * Use g++-11 now for -std=c++2b
    * Principal changes to revert_zenju_aggressive_upstreamisms.patch

 -- B. Stack <bgstack15@gmail.com>  Mon, 18 Apr 2022 09:52:50 -0400

freefilesync (11.19-1+devuan) UNRELEASED; urgency=medium

  * Upstream released this the same day as version 11.20.

 -- B. Stack <bgstack15@gmail.com>  Mon, 18 Apr 2022 09:51:50 -0400

freefilesync (11.18-1+devuan) obs; urgency=medium

  * Upstream updates
    * Add comparison time to sync log when using GUI
    * Added user-configurable timeout for Google Drive
    * Consider port when comparing (S)FTP paths for equality
    * Fixed SFTP key file login error on OpenSSH_8.8p1
    * Add error details for NSFileReadUnknownError (macOS)
    * Disable new config button when already at default
    * Use user language instead of region locale during installation
  * Bump required libcurl4-openssl-dev >= 7.82.0

 -- B. Stack <bgstack15@gmail.com>  Wed, 09 Mar 2022 09:38:41 -0500

freefilesync (11.17-1+devuan) obs; urgency=medium

  * Upstream updates
    * Show per-file progress in percent when copying large files
    * Log app initialization errors
    * Fixed uncaught exception after installation
    * Defer testing for third-party buggy DLLs until after crashing
    * Consider ReFS 128-bit file ID failure states (Windows)
    * Refer to volume by name: support names including brackets
    * Support local installation with non-standard home (Linux)

 -- B. Stack <bgstack15@gmail.com>  Sun, 06 Feb 2022 16:41:38 -0500

freefilesync (11.16-1+devuan) obs; urgency=medium

  * Upstream updates
    - Allow to select and remove invalid config file
    - Migrated all HTTPS requests to use libcurl (Linux, macOS)
    - Set keyboard focus on config panel after startup
    - Added computer name to log file trailer
    - Context menu instead of confirmation dialog for swap sides
    - Fixed config selection lost after auto-cleaning obsolete rows
    - Install app files with owner set to root (Linux)
    - Don't override keyboard shortcut "CTRL + W" (macOS)
    - Migrated key conversion routines deprecated in OpenSSL 3.0
    - Boxed app icon to fit OS theme (macOS)
    - Fixed manual retry after automatic update check error
    - Fixed missing ampersands in middle grid tooltip

 -- B. Stack <bgstack15@gmail.com>  Tue, 04 Jan 2022 10:52:55 -0500

freefilesync (11.15-1+devuan) obs; urgency=medium

  * Upstream updates
    - Play sound reminder when waiting for user confirmation
    - Enhanced crash diagnostics with known triggers
    - Defer reporting third-party incompatibilities until after crashing
    - Support running FreeFileSync from Dokany-based encrypted volumes
    - Fixed Server 2019 not being detected for log file
    - Use native representation for modified config (macOS)
    - Improved WinMerge detection for external app integration

 -- B. Stack <bgstack15@gmail.com>  Mon, 06 Dec 2021 08:39:50 -0500

freefilesync (11.14-1+devuan) obs; urgency=medium

  * Upstream updates
    - Authenticate (S)FTP connections using OpenSSL 3.0
    - Fixed E_NOINTERFACE error after synchronization
    - Preempt crashes due to Nahimic Sonic Studio 3
    - Hide main window when minimizing progress window (macOS)
    - Avoid second dock icon when minimizing progress window (macOS)
  * [bgstack15]
    - add ffs_openssl.patch to revert to openssl 1.1.1l dependency
    - add ffs_icon_loader.patch for libglib2.0-0 issue

 -- B. Stack <bgstack15@gmail.com>  Wed, 22 Sep 2021 07:45:04 -0400

freefilesync (11.13-1+devuan) obs; urgency=medium

  * Upstream updates
    - Manage default filter settings via GUI
    - Support arbitrary location for local app installation (macOS)
    - Fixed ERROR_FILE_NOT_FOUND masking real file access error (Windows)
    - Copy full file paths to clipboard (CTRL + C)
    - Preserve clipboard contents until after program exit
    - Always enable external command if independent of file items
    - Support installation without Rosetta2 on ARM64 (macOS)

 -- B. Stack <bgstack15@gmail.com>  Tue, 17 Aug 2021 19:25:55 -0400

freefilesync (11.12-1+devuan) obs; urgency=medium

  * Upstream updates
    - Native ARM64 build to support Apple silicon M1 (macOS)
    - Non-intrusive mouse highlight on file grid
    - Fixed /lib/i386-linux-gnu/libgcc_s.so.1: version `GCC_7.0.0' not found
    - Parse file times with no limits on time span (e.g. year 0, year 3000)
    - Show folder icon during drag and drop (Windows)
    - Show user name for (S)FTP display paths
    - Fixed FTP connection lost error with TLS 1.3
    - Present file sizes in powers of 1000 bytes (Linux, macOS)

 -- B. Stack <bgstack15@gmail.com>  Thu, 15 Jul 2021 10:00:37 -0400

freefilesync (11.11-1+devuan) obs; urgency=medium

  * Upstream updates
    - Fixed Shared Drive synchronization with Google Drive
    - Directly open exported file list (.CSV) as temporary file
    - Avoid EIO error for F_PREALLOCATE (macOS)
    - Watch socket using "poll" instead of "select" (Linux, macOS)
    - Fixed user-specific time/date format (Windows)
    - Fixed system_profiler not found error (macOS)

 -- B. Stack <bgstack15@gmail.com>  Sat, 12 Jun 2021 11:54:19 -0400

freefilesync (11.10-1+devuan) obs; urgency=medium

  * Upstream updates
    - Fixed comparison results cleared after mouse-scrolling the first folder pair
    - Stricter base folder existence checks before synchronization
    - Disable all file pairs when base folder status cannot be determined
    - Fixed sync statistics if base folder existence test failed
    - Work around glitch in grid scrollbar size calculation
    - Fixed folder drag and drop failing after locale conflict (macOS)
    - Fixed incorrect mime permissions after installation (Linux)
    - Stricter server response validation during update check
    - Fixed incomplete item path in log if source item is missing
    - Fixed installation error when running ConEmu
    - Support starting FreeFileSync as root login user (Linux)
  * [bgstack15]
    - improve ffs_no_check_updates.patch
    - add ffs_desktop_notifications.patch

 -- B. Stack <bgstack15@gmail.com>  Mon, 10 May 2021 08:16:31 -0400

freefilesync (11.9-1+devuan) obs; urgency=medium

  * Upstream updates
    - Save different layouts depending on screen resolution
    - Fixed large file icon scaling quality (Windows)
    - Fixed broken default filter excluding DocumentRevisions (macOS)
    - Don't immediately exit terminal when installer error is showing
      (Linux)
    - Explicitly set file permissions when installing missing
      directories (Linux)
    - Support installation using noexec temp directory (Linux)
    - Don't fail installation if root is the only user (Linux)
    - Added automatic socket close on execv (Linux, macOS)
    - Fixed Google Drive login hanging after authentication (Linux)
    - Correctly generate and parse Windows epoch time (Windows, macOS)

 -- B. Stack <bgstack15@gmail.com>  Mon, 05 Apr 2021 11:04:34 -0400

freefilesync (11.8-1+devuan) UNRELEASED; urgency=medium

  * Upstream updates
    - Fixed unexpected file size error when copying to (S)FTP, and
      Google Drive

 -- B. Stack <bgstack15@gmail.com>  Wed, 03 Mar 2021 00:00:00 -0500

freefilesync (11.7-1+devuan) obs; urgency=medium

  * Upstream updates
    - Detect moved files on FTP (if server supports MLSD)
    - Allow installation only for current or all user(s) (Linux)
    - Added application uninstaller: uninstall.sh (Linux)
    - Use login user config path when running as root (macOS, Linux)
    - Fixed detection of moved files with unstable device IDs (macOS,
      Linux)
    - Strict checking for duplicate file IDs
    - Avoid EINVAL invalid argument error when using F_PREALLOCATE
      (macOS)
    - Restore input focus after closing log panel
    - Double-click on file to open Google Drive web interface
    - Fixed alpha channel image scaling glitch
    - Fixed recycle bin folders being created recursively
    - Fixed thread count status message fluctuation
    - Don't quit FreeFileSync when parent terminal is closed (SIGHUP)
    - Fixed "Operation not supported" error when setting directory locks
    - Show folder picker despite SHCreateItemFromParsingName() error
    - Work around "OLE received a packet with an invalid header" error
  * [bgstack15] By now, none of the old devuan-archive packages are
    necessary to build FreeFileSync: Only packages from mainline
    unstable release are required!

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Mar 2021 17:30:16 -0500

freefilesync (11.6-1+devuan) obs; urgency=medium

  * Upstream updates
    - New FreeFileSync installer (Linux)
    - New auto-updater for the Donation Edition (macOS, Linux)
    - Support reading FTP file symlinks
    - Added context menu option "Edit with FreeFileSync" (Linux, KDE)
    - Support starting via symlink (macOS)
    - Command line support with "freefilesync" symlink in /usr/local/bin (macOS)
    - Fixed starting via symlink found by PATH (Linux)
    - Preserve keyboard focus when starting sync via F9
    - Don't show relative parent path if folder does not exist
    - Added high-resolution application icons (Linux, macOS)
    - Work around "500 'HELP' command unrecognized" FTP error
    - Fixed menu bar icon not being removed immediately (macOS Big Sur)
    - Don't allow folder names ending with dot character (Windows)
    - Mitigate ERROR_ALREADY_ASSIGNED: Local Device Name Already in Use
      [Wnetaddconnection2]
    - Fixed startup failure when app folder contains back quote char (macOS)
    - Fixed network card not found error on virtual machine (KVM Linux)
    - Fixed RTL layout direction in popup dialogs

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Feb 2021 13:30:10 -0500

freefilesync (11.5-1+devuan) obs; urgency=medium

  * Upstream updates
    - New configuration context menu option to delete from disk
    - Start auto retry delay at time of error instead of reporting
    - Added error details to status message before retry
    - Improved color scheme to better integrate with system colors
    - Keep partial SFTP results after network failure
    - Fixed incorrect panel font (macOS Big Sur)
    - Fixed SFTP retry not working after network drop
    - Fixed crash on exit with floating panels (macOS Big Sur)
    - Fixed auto-close option not being remembered
    - Fixed installer high-DPI scaling issues
    - Fixed mouse hover issues with grid column header
    - Fixed menu bar icons not showing (Linux)
    - Removed redundant GUI layout recalculations
    - Keep correct panel sizes after log panel maximize
    - Support modern folder picker in installer
    - Don't raise progress dialog after sync when resuming from systray

 -- B. Stack <bgstack15@gmail.com>  Mon, 04 Jan 2021 08:40:35 -0500

freefilesync (11.4-1+devuan) obs; urgency=medium

  * Upstream updates
    - New progress graph "this one sparks joy"
    - Remember progress dialog size
    - New config file context menu option: Show in file manager
    - Work around libcurl performance bug during FTP upload
    - Only log modification time errors after comparing by size or content
    - Smaller icon size for efficient screen layout (Linux)
    - Use system-native recycle bin icon
    - Fixed DeviceIoControl(IOCTL_VOLUME_GET_VOLUME_DISK_EXTENTS): ERROR_MORE_DATA
    - Support MTP devices lacking a friendly name
    - Fix grid scrolling with small mouse rotations (macOS)
    - Faster mouse scrolling on high-DPI resolution displays
    - Keep previous windows size when maximized during auto-exit

 -- B. Stack <bgstack15@gmail.com>  Tue, 08 Dec 2020 20:32:55 -0500

freefilesync (11.3-2+devuan) obs; urgency=medium

  * [bgstack15] completely fix traditional view patch
    - remove all small gridlines
    - fix Trad. Rel view with valid relative path names

 -- B. Stack <bgstack15@gmail.com>  Thu, 05 Nov 2020 13:09:27 -0500

freefilesync (11.3-1+devuan) obs; urgency=low

  * Upstream updates
    - Enhanced main grid color scheme
    - Mouse-highlight for file selection
    - Added file create/delete indicators
    - Show file list tooltip for missing items
    - Click folder name and scroll to group start
    - Log failure to create application default config folder
    - Added tooltips and fixed help link context menu
    - Fixed tooltip not updated when scrolling (macOS, Linux)
    - Move error dialogs to foreground during batch sync
    - Align context menu popup positions
    - Updated translation files
  * [bgstack15] update traditional view patch

 -- B. Stack <bgstack15@gmail.com>  Mon, 02 Nov 2020 07:44:57 -0500

freefilesync (11.2-1+devuan) obs; urgency=low

  * Upstream updates
    - Improved grid layout with file icons hidden
    - Improved rendering of inactive and disabled grid items
    - Remember last user-selected paths for file and folder pickers
    - Fixed folder name hidden in "item name" view type
    - Fixed determination of unsupported trash folder (Linux)
    - Fixed copying broken symlinks (macOS)
    - Fixed default action when pressing Enter in popup dialogs
    - Fixed default popup dialog size (macOS)
    - Use localized start of week for %WeekDay% (Linux, macOS)
    - Swap sides using CTRL+W instead of F10
    - Show confirmation dialog before swapping sides
  * [bgstack15] improve traditional view for current layout

 -- B. Stack <bgstack15@gmail.com>  Fri, 02 Oct 2020 20:15:18 -0400

freefilesync (11.1-2+devuan) obs; urgency=low

  * add traditional option to main grid view

 -- B. Stack <bgstack15@gmail.com>  Sun, 06 Sep 2020 20:59:36 -0400

freefilesync (11.1-1+devuan) obs; urgency=low

  * [bgstack15] still has the broken file tree layout
  * New file group layout on main grid (reloaded)
  * Alternate colors for main grid folder groups
  * Added file group context menu
  * Quick selection of items in folder group
  * Fixed FTP access errors with Explicit SSL/TLS
  * Fixed Google Drive error when double quotes in file name
  * Fixed RTL layout bug with number input control
  * Fixed grid column default sizes
  * Fixed grid rendering performance during mouse scrolling
  * Update all config files transactionally
  * Respect user-preferred number/time format (Linux)
  * Fixed floating panels not being resizable (Linux)
  * Instantly open selection context menu on right mouse button down
  * Further improved high DPI support
  * Updated deprecated system API calls (requires macOS 10.10 or later)
  * Fixed crash when accessing Nexis storage (macOS)
  * Avoid buffer flush when aborting native file output
  * Clear preview after folder history selection
  * Pre-allocate target file without setting size
  * Unified system error message formatting

 -- B. Stack <bgstack15@gmail.com>  Tue, 01 Sep 2020 20:33:42 -0400

freefilesync (11.0-1+devuan) obs; urgency=medium

  * Revised file layout on main grid
  * Skip download/upload when copying Google Drive files inside account
  * Support moving Google Drive files between shared drives and My Drive
  * Support copying Google Drive shortcuts between accounts
  * Support copying Google Docs, Sheets, Slides, etc. within account
  * Fixed parsing uninitialized Google Drive modification time
  * Fixed Google Drive file already existing check running too late
  * Ignore slash/backslash differences during manual search
  * Avoid creating orphan database entry if one DB file fails to load
  * Limit modification time error count for log file warning message
  * Support copying WSL symlinks
  * Avoid duplicate MTP/Google Drive item creation from multiple threads
  * Fixed TMPDIR not found during startup (macOS)
  * Added sync variant icons
  * Avoid redundant icon format conversions
  * Buffer high-DPI image scaling results
  * Improved MTP thumbnail scaling performance
  * Avoid race condition during parallel file icon rendering (Linux)
  * Allow creating folder name with leading/trailing spaces
  * Start supporting GTK3 (Linux)

 -- B. Stack <bgstack15@gmail.com>  Wed, 22 Jul 2020 12:55:46 -0400

freefilesync (10.25-2+devuan) obs; urgency=medium

  * gtk2 build (stable)

 -- B. Stack <bgstack15@gmail.com>  Sat, 20 Jun 2020 16:46:22 -0400

freefilesync (10.25-1+devuan) obs; urgency=medium

  * gtk3 build (unstable)
  * New file tree layout for main grid
  * Support Google Drive Shared Drives
  * Support Google Drive Shortcuts
  * Prioritize item name rendering if lacking horizontal space
  * Report "out of memory" during startup instead of crashing
  * Fixed excess memory consumption when loading variable-size data blocks
  * Fixed VERSION_ID missing on Arch Linux
  * Fixed IWbemServices::ConnectServer error during auto-update
  * Fixed row being skipped during main grid page up/down
  * Fixed MSSearch files not found when using Volume Shadow Copy
  * Allow creating folder names with trailing dot
  * Improved sort by full path speed and folder ordering
  * Report detailed error when failing to parse FTP MLSD
  * Sort by path component names instead of relative path
  * Support access to MEGAcmd FTP server
  * Fixed Google Drive error when removing last parent of shared item
  * Fixed Google Drive owned+shared files being unlinked instead of deleted
  * Fixed Google Drive change notificaton evaluation for item without parents
  * Support double-click/"Browse directory" for (S)FTP/Google Drive (Linux)

 -- B. Stack <bgstack15@gmail.com>  Fri, 19 Jun 2020 16:21:17 -0400

freefilesync (10.24-2+devuan) albion; urgency=medium

  * gtk2 build (stable)

 -- B. Stack <bgstack15@gmail.com>  Mon, 18 May 2020 08:14:57 -0400

freefilesync (10.24-1+devuan) obs; urgency=medium

  * gtk3 build (unstable)
  * Increased SFTP buffer sizes for faster upload/download
  * New %WeekDay%, %WeekDayName", and %MonthName% macros
  * Support Linux systems without lsb_release
  * Don't exclude desktop.ini by default
  * Merge error messages of failed error handling
  * Added ".DocumentRevisions-V100" to default exclude filter (macOS)
  * Fixed deletion error not reported during versioning
  * RealTimeSync: don't block when command fails with exit code > 0
  * Visualize error status in macOS Dock and Windows Superbar
  * Show error code constants on Windows Shell errors
  * Suppport ProFTPD with "MultilineRFC2228 on"
  * SFTP option to enable/disable zlib compression

 -- B. Stack <bgstack15@gmail.com>  Sun, 17 May 2020 19:12:44 -0400

freefilesync (10.23-2+devuan) albion; urgency=medium

  * gtk2 build

 -- B. Stack <bgstack15@gmail.com>  Mon, 20 Apr 2020 16:11:36 -0400

freefilesync (10.23-1+devuan) obs; urgency=medium

  * Run "on completion" commands on console (no need for "cmd.exe /c")
  * Check exit code and report errors for external applications
  * Report stream output of failed command line calls (macOs, Linux)
  * Use Unicode symbols compatible with older macOS
  * RealTimeSync: invoke command using cmd.exe instead of ShellExecute (Windows)
  * Avoid hitting log file length limitations for aggregated jobs
  * Fix OpenSSL failing on HTTP 1.0 response without Content-Length
  * Don't allow creating folder names ending with space or dot
  * Support base folders with trailing blanks
  * Show system error descriptions on volume shadow copy errors
  * Raise exit code if saving log file or sending email failed
  * Report all documented MTP error descriptions
  * Updated default exclude filter (macOS/Linux)
  * Added image outlines for improved dark mode support
  * Work around WBEM_E_INVALID_CLASS error during installation
  * Align file path rendering with app layout direction
  * Play sound notification also when "cancel on first error" is set
  * Cleaner file path formatting (macOs, Linux)
  * Added instructions when failing to start due to missing GTK2 (Ubuntu)
  * RealTimeSync: distinguish drive unmount from folder change notification
  * Avoid blocking command scripts waiting for user input
  * Updated translation files

 -- B. Stack <bgstack15@gmail.com>  Mon, 20 Apr 2020 15:09:48 -0400

freefilesync (10.22-2+devuan) albion; urgency=medium

  * gtk2 build

 -- B. Stack <bgstack15@gmail.com>  Wed, 18 Mar 2020 14:24:32 -0400

freefilesync (10.22-1+devuan) UNRELEASED; urgency=medium

  * BROKEN! This package does not actually exist. See README.debian
  * Preselect last-used email address
  * Select log file format (HTML or plain text)
  * Aggregate email notifications when hitting sending limits
  * Show code literals in system error messages
  * Limit conflict item count for log file warning message
  * Show log icon error indicator even if error occured after sync
  * Disable background drag & drop when showing modal dialog
  * Hide dummy model, vendor names in log files
  * Fixed ANSI encoding used for log file time formatting
  * Reduced memory consumption for large number of log messages
  * Correctly parse lock files despite corrupted trail data
  * Show emoji instead of Unicode icon in email subject
  * Fixed IWbemServices::ConnectServer error after sync
  * Fixed aggregate email logs incomplete truncation

 -- B. Stack <bgstack15@gmail.com>  Wed, 18 Mar 2020 14:22:58 -0400

freefilesync (10.21-1+devuan) UNRELEASED; urgency=medium

  * upstream changelog points to 10.22

 -- B. Stack <bgstack15@gmail.com>  Wed, 18 Mar 2020 09:18:01 -0400

freefilesync (10.20-1+devuan) obs; urgency=low

  * Send email notifications after sync (Donation Edition)
  * Generate log files in HTML format
  * Detect sync database consistency errors
  * Start log file with preview of first 50 errors/warnings
  * Mitigate lock file data corruption
  * Print Windows error codes in hexadecimal
  * Fixed missing MTP and network links in folder picker (Linux)
  * Display versioning and log folder path history
  * Display and log all config names for merged configurations
  * Run post-sync command synchronously and log exit code
  * Fixed crash on Bitvise SFTP servers with zlib delayed compression
  * Show actual time out used in failure message
  * Show detailed error message when failing to test sound files
  * Fixed timeout for long-running FTP uploads by sending keep-alives
  * Use Donation Edition on unlimited number of virtual machines
  * Ignore accidental clicks in empty space of configuration panel

 -- B. Stack <bgstack15@gmail.com>  Sat, 15 Feb 2020 15:58:33 -0500

freefilesync (10.19-2+devuan) manual; urgency=low

  * gtk2 build

 -- B. Stack <bgstack15@gmail.com>  Fri, 27 Dec 2019 09:52:13 -0500

freefilesync (10.19-1+devuan) obs; urgency=low

  * Unified rendering of disabled grid layouts
  * Count moved file pair as one update in view filter buttons
  * Fix command button default sizes (Windows)
  * Added %item_name%, %item_name2% context menu macros
  * Support deleting references to shared Google Drive files
  * Trash Google Drive files only when having single parent
  * Fixed high DPI scaling issue on image borders
  * Preserve system date format for RTL languages
  * Fall back to folder path if resource archives are missing

 -- B. Stack <bgstack15@gmail.com>  Fri, 27 Dec 2019 09:32:55 -0500

freefilesync (10.18-2+devuan) obs; urgency=medium

  * Revert to libwxgtk3.0 (gtk2) instead of libwxgtk3.0-gtk3
  * This involves using the local devuan-archive repo because libwxgtk3.0
    was dropped in Devuan upstream

 -- B. Stack <bgstack15@gmail.com>  Thu, 26 Dec 2019 09:46:15 -0500

freefilesync (10.18-1+devuan) obs; urgency=low

  * Save/load database files in parallel
  * Show item count for each view filter category
  * Group config history items via background colors
  * Allow grid sort by category and sync action
  * Reduced file accesses for faster start up
  * Buffer redundant database loads
  * Fix ibus initialization hang on Ubuntu 19.10
  * Defer showing progress panel for short-lived tasks
  * Calculate stable scrollbar dimensions on GTK2
  * Log mod time errors even when sync is cancelled
  * Show progress and errors when updating sync directions
  * Detect MLSD support despite invalid FTP FEAT response
  * Improved GUI responsiveness during config load
  * Added Vietnamese translation

 -- B. Stack <bgstack15@gmail.com>  Thu, 21 Nov 2019 07:53:41 -0500

freefilesync (10.17-1+devuan) obs; urgency=low

  * Support PuTTY private key files for SFTP login
  * Enable zlib compression for SFTP servers if supported
  * Update last sync time despite differences if nothing to do
  * Reduce graph total time update interval
  * Remember folder history not just for first folder pair
  * Allow unprivileged symlink creation in Windows Developer Mode
  * Integrate latest libcurl FTP bug fixes
  * Detect common invalid SFTP key file formats
  * Fixed startup crash caused by corrupted HDD properties
  * Allow SFTP access via Ed25519 key in PKIX format

 -- B. Stack <bgstack15@gmail.com>  Tue, 22 Oct 2019 10:04:13 -0400

freefilesync (10.16-1+devuan) obs; urgency=low

  * Redesigned progress indicator graphs
  * Avoid needless HTTP delay prior to Google Drive upload
  * Skip redundant CWDs during FTP metadata updates
  * Fixed MLSD 501 syntax error on Serv-U FTP server
  * Check FTP server status using FEAT/HELP instead of root folder
  * Avoid redundant TYPE changes during FTP directory listing
  * Access FTP files by full path and avoid CWDs
  * Support FTP home paths with non-ASCII chars
  * Work around libcurl bug failing to buffer FTP TLS authentication
  * Skip redundant FTP SIZE check before downloading file
  * Use ISO 8601 week of the year definition for %week% macro
  * Show login prompt for disconnected NAS share
  * Force icon resolution to 96 DPI in GTK2 build (Linux)
  * Detect missing full disk access permission (macOS)
  * Fixed accessibility issue with progress graph colors
  * Use short naming convention when deleting abandoned folder lock
  * Detect endless folder lock recursion on buggy file systems
  * Fixed Google Drive parsing error for invalid file time

 -- B. Stack <bgstack15@gmail.com>  Tue, 16 Sep 2019 10:04:13 -0400

freefilesync (10.15-1+devuan) obs; urgency=low

  * Redesigned progress indicator stats
  * Fixed crash when progress dialog is closed right before showing error
  * Consider fail-safe file copy when creating sync.ffs_db files
  * Prepare support for GTK3 GUI framework (Linux)
  * Support sound output via SDL (Linux)
  * Shrink standard system icons if needed (Linux)
  * Add Windows Defender exclusions asynchronously
  * Fixed main dialog out-of-screen position on startup (macOS)
  * Activated CDN for all web accesses
  * Redirect error dialog to stderr during sound playback (Linux)
  * Updated translation files

 -- B. Stack <bgstack15@gmail.com>  Thu, 15 Aug 2019 21:56:04 -0400

freefilesync (10.14-2+devuan) manual; urgency=low

  * Completely disable the update-check

 -- B. Stack <bgstack15@gmail.com>  Tue, 16 Jul 2019 12:56:46 -0400

freefilesync (10.14-1+devuan) manual; urgency=low

  * Warn if versioning folder paths differ only in case
  * Fixed empty HTTP response during update check (macOS/Linux)
  * Warn if Donation Edition is active on unexpected number of machines
  * Use subdomain for application update checks
  * Consider cache control for HTTP GET requests
  * Access all web endpoints over TLS
  * Fixed character encoding issue in update reminder (macOS/Linux)

 -- B. Stack <bgstack15@gmail.com>  Mon, 15 Jul 2019 15:24:12 -0400

freefilesync (10.13-1+devuan) manual; urgency=low

  * Allow to rename configurations via context menu
  * Work around hang on SMB network with broken FileFullDirectoryInformation
  * Work around SMB share returning empty item name
  * Detect and preempt keyman64.dll crash on exit
  * Manage notification sounds via global options dialog
  * Support 32-bit Debian Jessie and later releases
  * Work around silent failure to case-only rename on FAT drives (Windows 10)
  * Simplified installation folder structure
  * Update main grid scrollbars when resizing columns on other side
  * Preserve input focus when clicking on grid column label
  * Buffer result of process path normalization
  * Mirror middle grid icons for RTL layout (Linux)
  * Force LTR layout until wxWidgets supports RTL (macOS)
  * Fixed pair scrolling mismatch when grid height is exceeded by one row
  * Fixed startup failure due to missing /etc/machine-id (Linux)

 -- B. Stack <bgstack15@gmail.com>  Sat, 15 Jun 2019 10:40:49 -0400

freefilesync (10.12-1+devuan) manual; urgency=low

  * Show sync start time and date in progress dialog title
  * Added duration of comparison to log
  * Show all total times in full HH:MM:SS format
  * Added sync start time to log file header
  * Add Windows Defender exclusions to fix CURLE_OPERATION_TIMEDOUT
  * New RealTimeSync option to hide console window
  * Support launching through symlink (Windows)
  * Dropped support for Windows XP, Server 2003, and Vista
  * Reduced installation size by 25%

 -- B. Stack <bgstack15@gmail.com>  Sun, 13 May 2019 21:51:30 -0500

freefilesync (10.11-1+devuan) manual; urgency=low

  * Last FreeFileSync version supporting Windows XP and Vista
  * Fixed crash on multi-monitor set up
  * Fixed dialogs not showing after opening UAC prompt
  * Support launching through symlink (Linux)
  * Added example desktop starter files (Linux)
  * Fixed misleading error when determining file permissions support
  * Updated wxWidgets, libcurl, libssh2, VS, GCC, Xcode

 -- B. Stack <bgstack15@gmail.com>  Fri, 12 Apr 2019 13:30:42 -0500

freefilesync (10.10-1devuan) manual; urgency=low

  * New option: synchronize selection
  * Dynamically disable unsuitable context menu options
  * Support MTP devices without move command
  * Fall back to copy/delete when implicitly moving to different device (e.g. symlink)
  * Fixed incorrect statistics after parallel move
  * Fixed menu button not triggering context menu
  * Fixed crash on focus change while message popup is dismissed
  * Fixed crash when trying to shrink empty image
  * Fixed invisible dialogs when monitor is turned off in multi-monitor setup
  * Work around GetFileInformationByHandle error code 58 on WD My Cloud EX
  * Changing deletion handling now correctly triggers updated config
  * Support root-relative FTP file paths (e.g. FreeNAS)
  * Move and rename MTP items as a transaction
  * Exclude AppleDouble files (._) via default filter on macOS
  * Support home path for FTP folder picker
  * Use server default permissions when creating SFTP folder
  * Use native OpenSSL AES-CTR rather than libssh2 fallback
  * Added context information for cloud connection errors
  * Updated translation files

 -- B. Stack <bgstack15@gmail.com>  Fri, 15 Mar 2019 18:23:43 -0500

freefilesync (10.9-1devuan) manual; urgency=low

  * Added FTP, SFTP, Google Drive support for Linux
  * FreeFileSync Donation Edition available for Linux
  * Compress file stream during Google Drive upload
  * Navigate beyond access-denied parents in SFTP folder picker
  * Fixed unexpected stream size error during FTP upload
  * Support native recursive deletion for Google Drive
  * Support native recursive deletion for MTP
  * Deterministically save Google Drive state during exit
  * Work around missing TMPDIR variable (Linux)
  * Support SFTP servers returning large package sizes during folder reading
  * Start with home path when using SFTP folder picker
  * Aggregate device authentication prompts during comparison
  * Clean up temp file after unexpected stream size error
  * Work around FTP servers not supporting HELP command
  * Support parsing path by volume name when volume is missing
  * Parse and streamline Google Drive error messages
  * Load next item after deleting from config history
  * Avoid redundant Google Drive syncs after file/folder creation
  * Avoid duplicate MTP item creation by multiple threads

 -- B. Stack <bgstack15@gmail.com>  Thu, 14 Feb 2019 10:46:09 -0500

freefilesync (10.8-1devuan) manual; urgency=low

  * Initial release.

 -- B. Stack <bgstack15@gmail.com>  Tue, 29 Jan 2019 09:20:41 -0500

